Dispute
List disputes
Retrieves a list of dispute information.
AuthorizationBearer <token>
API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.
In: header
Query Parameters
chargeId?string
Charge ID
from?integer
Start time (epoch millisecond). Retrieves data created on or after the specified time.
Format
int64to?integer
End time (epoch millisecond). Retrieves data created on or before the specified time.
Format
int64dateField?string
Specifies which fields are used for the start and end times.
- resolved_time Dispute resolution time
- create_time Dispute occurrence time
Default
"create_time"Value in
"resolved_time" | "create_time"status?string
Dispute status
Value in
"new" | "won" | "lost"limit?integer
Maximum number of items
Default
20Range
value <= 100offset?integer
Starting offset
Default
0sort?string
Sort field
- resolved_time Dispute resolution time
- create_time Charge creation time
Default
"create_time"Value in
"resolved_time" | "create_time"order?string
Sort order
- desc Descending
- asc Ascending
Default
"desc"Value in
"desc" | "asc"Response Body
application/json;charset=utf-8
curl -X GET "https://api.elepay.io/disputes"{
"total": 0,
"disputes": [
{
"id": "string",
"object": "dispute",
"chargeId": "string",
"liveMode": true,
"amount": 0,
"currency": "str",
"metadata": {
"property1": "string",
"property2": "string"
},
"reason": "string",
"status": "new",
"resolvedTime": 0,
"createTime": 0
}
]
}